/*
	This file is part of CrabEmu.

	Copyright (C) 2005 Lawrence Sebald

	CrabEmu is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	CrabEmu is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with CrabEmu; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#import <Cocoa/Cocoa.h>

@class EmuView;

@interface EmuController : NSObject
{
    IBOutlet NSMenuItem *masterStart;
    IBOutlet NSMenuItem *noise;
    IBOutlet NSMenuItem *PSG;
    IBOutlet NSMenuItem *tone0;
    IBOutlet NSMenuItem *tone1;
    IBOutlet NSMenuItem *tone2;
    IBOutlet EmuView *view;
	int started;
}
- (IBAction)enableNoise:(id)sender;
- (IBAction)enablePSG:(id)sender;
- (IBAction)enableTone0:(id)sender;
- (IBAction)enableTone1:(id)sender;
- (IBAction)enableTone2:(id)sender;
- (IBAction)loadMasterRom:(id)sender;
- (IBAction)startMasterSys:(id)sender;
- (void)masterEmuThread:(id)junk;

@end
