/*
    This file is part of CrabEmu.

    Copyright (C) 2008 Lawrence Sebald

    CrabEmu is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2 
    as published by the Free Software Foundation.

    CrabEmu is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with CrabEmu; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef TEREBI_H
#define TEREBI_H

#define TEREBI_OEKAKI_PRESSED   1
#define TEREBI_OEKAKI_AXIS_Y    2

extern unsigned char terebi_mread(unsigned short addr);
extern void terebi_mwrite(unsigned short addr, unsigned char data);

extern unsigned short terebi_mread16(unsigned short addr);
extern void terebi_mwrite16(unsigned short addr, unsigned short data);

extern void terebi_update(int x, int y, int pressed);

#endif /* !TEREBI_H */
