/*
	This file is part of CrabEmu.

	Copyright (C) 2005, 2006 Lawrence Sebald

	CrabEmu is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	CrabEmu is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with CrabEmu; if not, write to the Free Software
	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef EMUOGLVIEW_H
#define EMUOGLVIEW_H

#import <Cocoa/Cocoa.h>
#include <OpenGL/GL.h>

@class EmuController;

@interface EmuOGLView : NSOpenGLView
{
    IBOutlet EmuController *controller;
    IBOutlet NSWindow *window;
}

- (void) resizeWindowWithViewWidth: (float)width height: (float)height;
- (void) showWindow;

@end

#endif
